Bug Hunting Session
Bug 98849 - "Not Saved" icon on Save button disappears after print preview
Summary: "Not Saved" icon on Save button disappears after print preview
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.1.3 release
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-03-23 21:38 UTC by Laurent BP
Modified: 2016-10-25 19:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Dummy test Calc file with a chart (13.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-03-25 11:41 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2016-03-23 21:38:37 UTC
Description: Save button has now a "star" when file is modified since LibO 5.1.0.3. If Print Preview is activated, then the star disappears.

Steps to reproduce:
1. Open a file (Writer or Calc)
2. Modify something
=> star appears on Save button
3. File > Print Preview

Actual behavior:
star disappears on Save button and exiting Preview mode does not change

Expected behavior:
Save button should keep its star

Reproduce with:
- Version: 5.2.0.0.alpha0+ (x64)
Build ID: 042f16a19e3d5f884759dae71264433b988df0e6
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-03-16_10:03:38
Locale: fr-FR (fr_FR)
- Version: 5.1.1.3 (x64)
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
Threads CPU : 4; Version de l'OS :Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR)

Not reproduce with:
- Version: 5.1.0.3
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale : fr-FR (fr_FR)
Comment 1 Usama 2016-03-23 22:01:41 UTC
I confirm it on Windows, It works well on Linux.

Windows:
Version: 5.2.0.0.alpha0+
Build ID: 6eb7cd38e348e8a9d6498bfc2d41e91725eb34aa
CPU Threads: 1; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-03-16_12:53:35
Locale: en-US (en_US) OS: Windows 7 Enterprise

Linux:
Version: 5.2.0.0.alpha0+
Build ID: aaca25d67eb5ea252730cdcf555ecc04ce04a5e6
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-24_23:58:47
Locale: en-US (en_US.UTF-8)
OS: Ubuntu 15.01
Comment 2 Laurent BP 2016-03-25 11:41:26 UTC
Created attachment 123834 [details]
Dummy test Calc file with a chart

Same problem in Calc, when entering/exiting a chart.

Steps to reproduce:
1. Make a modification in a spreadsheet containing a chart
2. Edit chart
3. Click outside chart to exit

Actual behavior:
star disappears on Save button

Expected behavior:
Save button should keep its star
Comment 3 Commit Notification 2016-03-31 21:24:00 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30b10b1a589945b570445518163feb6eac8e95e1

tdf#98849 SaveToolbarController: Correct initial modified state

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-04-19 11:47:57 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec5e521c6ec77aff5acddce8f53c848948fcef48&h=libreoffice-5-1

tdf#98849 SaveToolbarController: Correct initial modified state

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.